Last Comment Bug 492476 - [MacOSX] mochitest-chrome: the 3 layout/base/tests/test_printpreview*.xul need to report 'todo'
: [MacOSX] mochitest-chrome: the 3 layout/base/tests/test_printpreview*.xul nee...
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Printing: Output (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: mozilla1.9.3a5
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 347417 483407
Blocks: 396024 482976 556686
  Show dependency treegraph
 
Reported: 2009-05-11 20:07 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-05-02 07:30 PDT (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.5-fixed
.10-fixed


Attachments
(Av1) Remove useless |var printerEnumerator|, Use a todo() [Checkin: See comment 8 & 11] (4.20 KB, patch)
2010-04-12 21:33 PDT, Serge Gautherie (:sgautherie)
roc: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2009-05-11 20:07:14 PDT
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1242092605.1242096280.17513.gz&fulltext=1
OS X 10.5.2 mozilla-central unit test on 2009/05/11 18:43:25

*** 43086 INFO Running /tests/layout/base/tests/test_bug396024.html...
*** 43087 INFO TEST-KNOWN-FAIL | /tests/layout/base/tests/test_bug396024.html | [SimpleTest.report()] No checks actually run.
}

See
http://hg.mozilla.org/mozilla-central/rev/b3d077ffddbd
Comment 1 Serge Gautherie (:sgautherie) 2009-05-11 20:12:37 PDT
Same with
{
*** 43515 INFO Running /tests/layout/base/tests/test_bug482976.html...
*** 43516 INFO TEST-KNOWN-FAIL | /tests/layout/base/tests/test_bug482976.html | [SimpleTest.report()] No checks actually run.
}
Comment 2 Serge Gautherie (:sgautherie) 2009-05-11 20:15:57 PDT
Same with
{
*** 43526 INFO Running /tests/layout/base/tests/test_printpreview.html...
*** 43527 INFO TEST-KNOWN-FAIL | /tests/layout/base/tests/test_printpreview.html | [SimpleTest.report()] No checks actually run.
}
blamed to restricted access bugs: bug 425265, bug 424377.
Comment 3 Martijn Wargers [:mwargers] (not working for Mozilla) 2009-05-12 04:32:03 PDT
The Mac platform doesn't have the print preview code necessary for it to work. That might be a bug, I think I've seen a bug floating around about that. So I guess it might need to report todo perhaps.
Comment 4 Serge Gautherie (:sgautherie) 2009-05-12 05:27:38 PDT
(In reply to comment #3)
> That might be a bug, I think I've seen a bug floating around about that.

Bug 347417 ;-)

> So I guess it might need to report todo perhaps.

Agreed.
Comment 5 Martijn Wargers [:mwargers] (not working for Mozilla) 2009-05-12 07:00:54 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > That might be a bug, I think I've seen a bug floating around about that.
> 
> Bug 347417 ;-)

I'm not sure it's that bug. That bug seems to talk about a print preview menu-item, it doesn't seem to explicitly mention about the desire to have webBrowserPrint.printPreview implemented on the Mac.
Comment 6 Serge Gautherie (:sgautherie) 2009-05-12 09:31:05 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1242134886.1242140574.17608.gz&fulltext=1
OS X 10.5.2 mozilla-1.9.1 unit test on 2009/05/12 06:28:06
Comment 7 Serge Gautherie (:sgautherie) 2010-04-12 21:33:09 PDT
Created attachment 438666 [details] [diff] [review]
(Av1) Remove useless |var printerEnumerator|, Use a todo()
[Checkin: See comment 8 & 11]
Comment 8 Serge Gautherie (:sgautherie) 2010-04-13 17:32:21 PDT
Comment on attachment 438666 [details] [diff] [review]
(Av1) Remove useless |var printerEnumerator|, Use a todo()
[Checkin: See comment 8 & 11]


http://hg.mozilla.org/mozilla-central/rev/058b1d064f88
Comment 9 Serge Gautherie (:sgautherie) 2010-04-13 20:02:23 PDT
(In reply to comment #8)

+
http://hg.mozilla.org/mozilla-central/rev/22df6c8c783a
(Bv1) Add missed |var todo = window.opener.wrappedJSObject.todo;|.
Comment 10 Serge Gautherie (:sgautherie) 2010-04-22 03:30:20 PDT
V.Fixed per tinderboxes.
Comment 11 Serge Gautherie (:sgautherie) 2010-05-02 05:33:07 PDT
Comment on attachment 438666 [details] [diff] [review]
(Av1) Remove useless |var printerEnumerator|, Use a todo()
[Checkin: See comment 8 & 11]



http://hg.mozilla.org/releases/mozilla-1.9.2/rev/9196d70fd5e5
including
(In reply to comment #9)
> http://hg.mozilla.org/mozilla-central/rev/22df6c8c783a
> (Bv1) Add missed |var todo = window.opener.wrappedJSObject.todo;|.
Comment 12 Serge Gautherie (:sgautherie) 2010-05-02 07:30:28 PDT
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/3eab3c816d4e
(Cv1-191) Remove useless |var printerEnumerator|, Use a todo().

Note You need to log in before you can comment on or make changes to this bug.